Replace the org's selective-recording policy
curl --request PUT \
--url https://api.orbit.devotel.io/api/v1/voice/recording-policy \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rules": [
{
"id": "<string>",
"name": "<string>",
"priority": 500000,
"conditions": [
{
"value": "<string>"
}
],
"samplePercent": 50,
"requireTwoPartyConsent": true,
"enabled": true
}
],
"enabled": true,
"defaultRecordPercent": 50
}
'import requests
url = "https://api.orbit.devotel.io/api/v1/voice/recording-policy"
payload = {
"rules": [
{
"id": "<string>",
"name": "<string>",
"priority": 500000,
"conditions": [{ "value": "<string>" }],
"samplePercent": 50,
"requireTwoPartyConsent": True,
"enabled": True
}
],
"enabled": True,
"defaultRecordPercent": 50
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
rules: [
{
id: '<string>',
name: '<string>',
priority: 500000,
conditions: [{value: '<string>'}],
samplePercent: 50,
requireTwoPartyConsent: true,
enabled: true
}
],
enabled: true,
defaultRecordPercent: 50
})
};
fetch('https://api.orbit.devotel.io/api/v1/voice/recording-policy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"enabled": true,
"default_record_percent": 50,
"rules": [
{
"id": "<string>",
"name": "<string>",
"priority": 123,
"sample_percent": 123,
"require_two_party_consent": true,
"enabled": true,
"conditions": [
{
"value": "<string>"
}
]
}
]
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docs_url": "<string>"
}
}Voice
Replace the org's selective-recording policy
Replaces the org’s recording policy (whole-document upsert). The policy is persisted as a sub-key of the existing organizations.settings.recording blob, preserving sibling keys (retention_days, eligibility_mode, consent_announcement_mode, …). Rule ids must be unique. Admin-only.
PUT
/
api
/
v1
/
voice
/
recording-policy
Replace the org's selective-recording policy
Authorizations
BearerApiKey
Dashboard JWT token from Clerk
Body
application/json
Read the org's selective-recording policyStart an agent-assisted secure payment (masked-DTMF PCI capture)
⌘I